[Gelöst] Darstellungsfehler unter Mint 19 Mate

Probleme, Fragen und Lösungen
Antworten
Crabman
Foriker
Beiträge: 4
Registriert: So 6. Jan 2019, 13:31
Kontaktdaten:

[Gelöst] Darstellungsfehler unter Mint 19 Mate

Beitrag von Crabman » So 6. Jan 2019, 14:26

Hallo
Die Darstellung der Gambas 3.12 - IDE in meinem virtuellen Mint 19 Mate war in einigen Bereichen fehlerhaft. So zeigten sich z.B.
bei den Projekteigenschaften unter dem Menüpunkt "Komponenten" die Checkboxen aller verfügbaren Komponenten als angehakt.

Folgendes brachte die Lösung:
1. Installation des QT4-Konfigurations-Tools: $ sudo apt install qt4-qtconfig
2. Starten des QT4-Konfigurations-Tools: $ qtconfig-qt4
Dort die Einstellung von "Desktop Settings (Default)" auf "GTK+" ändern und beim Schließen des Tools die Konfiguration speichern lassen.

Danach war die Gambas-IDE Darstellung korrekt - wie bei früheren Mint-Mate-Versionen.

Viel Spaß
Crabman

gambasso
Foriker
Beiträge: 990
Registriert: Sa 17. Mär 2012, 09:55
Kontaktdaten:

Re: [Gelöst] Darstellungsfehler unter Mint 19 Mate

Beitrag von gambasso » So 6. Jan 2019, 16:22

moin,

nur mal eine dumme Frage: warum nimmst Du nicht 'qt5'?
Gruss

Crabman
Foriker
Beiträge: 4
Registriert: So 6. Jan 2019, 13:31
Kontaktdaten:

Re: [Gelöst] Darstellungsfehler unter Mint 19 Mate

Beitrag von Crabman » Sa 12. Jan 2019, 19:26

Moin
Ich brauchte eine Weile, um Deine Frage zu interpretieren und eine mögliche Maßnahme daraus abzuleiten. Zur Info: Bei meinem Gambas wurde die gb.qt4 als Default installiert (per PPA). Die gb.qt5 hatte ich arglos nachinstalliert. Wie ich feststellte, verwendet Gambas gb.qt4 wenn beide installiert sind. Ich habe deshalb heute die gb.qt4 einfach mal deinstalliert (gambas3-gb-qt4, gambas3-gb-qt4-ext, gambas3-gb-qt4-opengl, gambas3-gb-qt4-webkit) und siehe da - es geht - und die Systeminformation weist jetzt die GB_GUI als gb.qt5 aus. Diese Lösung ist zu bevorzugen, weil sie mit den Default-Einstellungen von Mint 19 Mate spielt.
Jetzt bliebe noch die Frage, ob Gambas sich beim Vorhandensein beider gb-QT-Komponenten richtig verhält, indem es sich für die ältere Variante entscheidet.

Viele Grüße
Crabman

Crabman
Foriker
Beiträge: 4
Registriert: So 6. Jan 2019, 13:31
Kontaktdaten:

Re: [Gelöst] Darstellungsfehler unter Mint 19 Mate

Beitrag von Crabman » Sa 12. Jan 2019, 21:09

Moin
Kurz nach meinem Posting kam ein update auf Gambas 3.12.2 rein und siehe da - anscheinend nutzt Gambas jetzt gb.qt5 wenn beide (gb.qt4 und 5) installiert sind. Ich hatte bereits vor Tagen im Gambas-Bug-Tracker darauf hingewiesen, dass Gambas sich bei Vorhandensein beider Frameworks für das ältere entscheidet. Eine Bestätigung von Benoít liegt allerdings nicht vor.
Um auszuschließen, dass Gambas immer bei dem Framework bleibt, das es als letztes "allein" sah, habe ich gb.qt4 wieder installiert und gb.qt5 entfernt. Gambas zeigt wieder die Verwendung von gb.qt4 an. Nach der Nachinstallation von gb.qt5 (jetzt waren also wieder beide drauf) wechselte Gambas auf gb.qt5. Das ist ein neues Verhalten, weshalb ich davon ausgehe, dass Benoít hier eine Änderung vorgenommen hat.

Auch wenn man nur gb.qt4 verwendet, sind die o.g. Anpassungen mit diesem Update nicht mehr nötig. Die fehlerhafte Darstellung der Komponenten-Checkboxen wurde von Benoít gefixt und ist jetzt O.K..

Viele Grüße
Crabman

Antworten

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 1 Gast